Get Replication Mapping

Get Replication Mapping

Get information about a specific replication mapping in a pairing.

Request
URI
GET
https://{api_host}/pairings/{pairing_id}/vrs/{vr_id}/replication-mappings/{source_object_id}/{target_object_id}
COPY
Path Parameters
string
pairing_id
Required

The ID of the pairing between this vSphere Replication server and the remote one.

string
vr_id
Required

The ID of the VRMS

string
source_object_id
Required

The ID of the source object id

string
target_object_id
Required

The ID of the target object id


Authentication
This operation uses the following authentication methods.
Responses
200

Detailed information about a replication mapping.

Returns ReplicationMappingDrResponseEntity of type(s) application/json
{
    "source_object_id": "ClusterComputeResource:domain-c9:ee04fc10-131c-4d39-901f-a3de65dd8c6e",
    "target_object_id": "ClusterComputeResource:domain-c9:ee04fc10-131c-4d39-901f-a3de65dd8c6e",
    "source_object_name": "string",
    "target_object_name": "string",
    "test_completion_time": 0,
    "connection_status": "string",
    "max_latency": 0,
    "latency_units": "string",
    "min_throughput": 0,
    "throughput_units": "string",
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/vrs/{vr_id}/replication-mappings/{source_object_id}/{target_object_id}